For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Contact object
          • GET/contacts
          • POST/contacts
          • GET/contacts/{id}
          • PATCH/contacts/{id}
          • POST/contacts/ignore/{model_id}
          • GET/contacts/meta/patch/{id}
          • GET/contacts/meta/post
          • GET/contacts/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContacts

/contacts/{id}

Beta
PATCH
/crm/v1/contacts/:id
PATCH
/api/crm/v1/contacts/:id
$curl -X PATCH https://api.merge.dev/api/crm/v1/contacts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
200Updated
1{
2 "model": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "first_name": "Gil",
8 "last_name": "Feig",
9 "account": "0958cbc6-6040-430a-848e-aafacbadf4ae",
10 "owner": "b8fbfc30-0982-420e-8c20-dab07b70b9d6",
11 "addresses": [
12 {
13 "created_at": "2021-09-15T00:00:00Z",
14 "modified_at": "2021-10-16T00:00:00Z",
15 "street_1": "50 Bowling Green Dr",
16 "street_2": "Golden Gate Park",
17 "city": "San Francisco",
18 "state": "CA",
19 "postal_code": "94122",
20 "country": "US",
21 "address_type": "BILLING"
22 }
23 ],
24 "email_addresses": [
25 {
26 "email_address": "hello@merge.dev",
27 "email_address_type": "Work"
28 }
29 ],
30 "phone_numbers": [
31 {
32 "created_at": "2021-09-15T00:00:00Z",
33 "modified_at": "2021-10-16T00:00:00Z",
34 "phone_number": "+13785579223",
35 "phone_number_type": "Mobile"
36 }
37 ],
38 "last_activity_at": "2022-02-10T00:00:00Z",
39 "remote_created_at": "2021-11-10T00:00:00Z",
40 "remote_was_deleted": true,
41 "field_mappings": {
42 "organization_defined_targets": {
43 "custom_key": "custom_value"
44 },
45 "linked_account_defined_targets": {
46 "custom_key": "custom_value"
47 }
48 },
49 "remote_data": [
50 {
51 "path": "/contacts",
52 "data": null
53 }
54 ],
55 "remote_fields": [
56 {
57 "remote_field_class": {
58 "id": "string",
59 "display_name": "string",
60 "remote_key_name": "string",
61 "description": "string",
62 "is_custom": true,
63 "is_common_model_field": true,
64 "is_required": true,
65 "field_type": "string",
66 "field_format": "string",
67 "field_choices": [
68 "string"
69 ],
70 "item_schema": {
71 "item_type": "string",
72 "item_format": "string",
73 "item_choices": [
74 "string"
75 ]
76 }
77 },
78 "value": "string"
79 }
80 ]
81 },
82 "warnings": [
83 {
84 "title": "Unrecognized Field",
85 "detail": "An unrecognized field, age, was passed in with request data.",
86 "problem_type": "UNRECOGNIZED_FIELD",
87 "source": {
88 "pointer": "/age"
89 },
90 "block_merge_link": true,
91 "raw_error": "string",
92 "error_code": 1
93 }
94 ],
95 "errors": [
96 {
97 "title": "Missing Required Field",
98 "detail": "custom_fields is a required field on model.",
99 "problem_type": "MISSING_REQUIRED_FIELD",
100 "source": {
101 "pointer": "/model/custom_fields"
102 },
103 "block_merge_link": true,
104 "raw_error": "string",
105 "error_code": 1
106 }
107 ],
108 "logs": [
109 {
110 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
111 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
112 "log_summary": {
113 "url": "www.exampleintegration.com/api/v1/exampleapi",
114 "method": "POST",
115 "status_code": 200
116 }
117 }
118 ]
119}

Updates a Contact object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/contacts/{id}

Next

/contacts/ignore/{model_id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Contact object is used to represent an existing point of contact at a company in a CRM system.

Usage Example

TODO

Response

modelobject

Description

The Contact object is used to represent an existing point of contact at a company in a CRM system.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects